GroupValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.grouping.shared.GroupValue interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.grouping.shared
Interface GroupValue

All Known Implementing Classes:
  AppdefGroupValue

    public interface GroupValue

Interface specification for group value objects. Provides access to group and elements for persistence.

Method Summary
`void` | `addEntry(GroupEntry entry)` Adds an entry to the group.
`java.lang.Object` | `clone()` Concrete groups must implement cloneable because in most cases, the GroupManager (which populates the groups) doesn't have any knowledge of the actual class that it needs new instances of.
`boolean` | `equals(java.lang.Object other)`
`boolean` | `existsEntry(GroupEntry entry)` Asserts that an entry exists in the group
`int` | `getClusterId()` The group's clusterId
`java.lang.Long` | `getCTime()`
`java.lang.String` | `getDescription()` Group description
`int` | `getGroupEntResType()` The group entity resource type
`PageList` | `getGroupEntries()` The list of group entries
`int` | `getGroupEntType()` The group entity type
`int` | `getGroupType()` The group type (adhoc, compatible)
`java.lang.Integer` | `getId()` The group identifier
`java.lang.String` | `getLocation()` Group location
`java.lang.String` | `getModifiedBy()`
`java.lang.Long` | `getMTime()`
`java.lang.String` | `getName()` The name of the group
`java.lang.String` | `getOwner()`
`int` | `getSize()` The group size
`AuthzSubject` | `getSubject()`
`int` | `getTotalSize()` The group total size
`int` | `hashCode()`
`void` | `removeEntry(GroupEntry entry)` Removes an entry from the group.
`void` | `setClusterId(int clusterId)`
`void` | `setCTime(java.lang.Long l)`
`void` | `setDescription(java.lang.String desc)`
`void` | `setGroupEntResType(int groupEntResType)`
`void` | `setGroupEntType(int groupEntType)`
`void` | `setGroupType(int groupType)`
`void` | `setId(java.lang.Integer id)`
`void` | `setLocation(java.lang.String location)`
`void` | `setModifiedBy(java.lang.String s)`
`void` | `setMTime(java.lang.Long l)`
`void` | `setName(java.lang.String name)`
`void` | `setOwner(java.lang.String s)`
`void` | `setSubject(AuthzSubject s)` The group owner
`void` | `setTotalSize(int groupTotalSize)`

Method Detail

### getId

    java.lang.Integer getId()

  The group identifier

### setId

    void setId(java.lang.Integer id)

### getGroupType

    int getGroupType()

  The group type (adhoc, compatible)

### setGroupType

    void setGroupType(int groupType)

### getGroupEntType

    int getGroupEntType()

  The group entity type

### setGroupEntType

    void setGroupEntType(int groupEntType)

### getGroupEntResType

    int getGroupEntResType()

  The group entity resource type

### setGroupEntResType

    void setGroupEntResType(int groupEntResType)

### getClusterId

    int getClusterId()

  The group's clusterId

### setClusterId

    void setClusterId(int clusterId)

### getName

    java.lang.String getName()

  The name of the group

### setName

    void setName(java.lang.String name)

### getDescription

    java.lang.String getDescription()

  Group description

### setDescription

    void setDescription(java.lang.String desc)

### getLocation

    java.lang.String getLocation()

  Group location

### setLocation

    void setLocation(java.lang.String location)

### setSubject

    void setSubject(AuthzSubject s)

  The group owner

### getSubject

    AuthzSubject getSubject()

### getSize

    int getSize()

  The group size

### getTotalSize

    int getTotalSize()

  The group total size

### setTotalSize

    void setTotalSize(int groupTotalSize)

### getGroupEntries

    PageList getGroupEntries()

  The list of group entries

### addEntry

    void addEntry(GroupEntry entry)

  Adds an entry to the group.

  Parameters:
    `group` - entry value object.
  Throws:
    `ApplicationException`

### existsEntry

    boolean existsEntry(GroupEntry entry)

  Asserts that an entry exists in the group

### removeEntry

    void removeEntry(GroupEntry entry)

  Removes an entry from the group.

  Parameters:
    `id` - of entry to remove.
  Throws:
    `ApplicationException`

### equals

    boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### clone

    java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Concrete groups must implement cloneable because in most cases, the GroupManager (which populates the groups) doesn't have any knowledge of the actual class that it needs new instances of.

  Throws:
    `java.lang.CloneNotSupportedException` - (only as a future precaution)

### getModifiedBy

    java.lang.String getModifiedBy()

### setModifiedBy

    void setModifiedBy(java.lang.String s)

### getOwner

    java.lang.String getOwner()

### setOwner

    void setOwner(java.lang.String s)

### getCTime

    java.lang.Long getCTime()

### setCTime

    void setCTime(java.lang.Long l)

### getMTime

    java.lang.Long getMTime()

### setMTime

    void setMTime(java.lang.Long l)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.